Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006168TestLinkCustom fieldspublic2014-01-22 17:132017-01-31 12:00
Reporterbs2013 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWin XP, 7OS Version32bit
Product Version 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0006168: Custom fields data lost after editing or creating steps to a test case
DescriptionUnder Test Specification, Test Cases Custom fields are losing data after adding steps or being edit.
 
Steps To ReproduceCreate a custom field
Assign to test specification
Create a new test case and enter some data on the just created custom field, Click create
Click add steps, create a step and save or save & exit
Go to test case and look for the data you have entered on the custom field

Same happens if you edit a test case with custom fields, but in this case the error is random.
  
Additional Informationthe used custom fields were:
string
multiselection list
float (estimated execution)
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE, Chrome
PHP Version5.3.3
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0020356)
fman (administrator)
2014-01-23 10:54

no testlink version => no action can be done
Anyway if you have version < 1.9.o9 with latest fixes, upgrade and retest
(0020364)
bs2013 (reporter)
2014-01-24 17:12

Can be closed, fixed on 1.9.8. Thank you
(0021329)
fman (administrator)
2014-07-27 10:04

done

- Issue History
Date Modified Username Field Change
2014-01-22 17:13 bs2013 New Issue
2014-01-23 10:54 fman Note Added: 0020356
2014-01-24 17:12 bs2013 Note Added: 0020364
2014-01-24 17:29 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-01-24 17:29 fman Status new => resolved
2014-01-24 17:29 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2014-01-24 17:29 fman Resolution open => fixed
2014-01-24 17:29 fman Assigned To => fman
2014-07-27 10:04 fman Note Added: 0021329
2014-07-27 10:04 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker